operator.access_key.create
Create a redeemable operator access key for an operator. Returns the raw key exactly once (store it now).
- Scope:
admin.users.write - System: no
- Reachable from:
POST /v1/commands/operator.access_key.create(tenant credential) · MCP tooloperator.access_key.create· SDKclient.call('operator.access_key.create', …) - Events:
operator.access_key.created
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "admin_user_id": { "minLength": 1, "type": "string" }, "expires_at": { "format": "date-time", "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$", "type": "string" }, "label": { "maxLength": 120, "type": "string" } }, "required": [ "admin_user_id" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "access_key_id": { "type": "string" }, "key": { "type": "string" } }, "required": [ "access_key_id", "key" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)